<?php
// Connexion à la base de données
ini_set('display_errors', 1);
error_reporting(E_ALL);

$servername = "localhost";
$username = "visanffr_regroupment";
$password = "TimianlQbS=H";
$dbname = "visanffr_regroupment";

// Créer une connexion
$conn = new mysqli($servername, $username, $password, $dbname);

// Vérifier la connexion
if ($conn->connect_error) {
    die("Connexion échouée: " . $conn->connect_error);
}

// Requête pour obtenir les données de la table 'users' avec la colonne 'etat'
$sql = "SELECT id, nom, prenom, naissance, code, date_delevrance, date_expiration, photo, etat FROM users";
$result = $conn->query($sql);
if (!$result) {
    die("Erreur dans la requête SQL: " . $conn->error);
}
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Liste des utilisateurs</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            background-image: url('https://mms.businesswire.com/media/20230919210300/de/1893338/4/visa-swift-logo-lockup_peppermint.jpg?download=1');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            height: 100vh;
        }

        h1 {
            color: black;
            text-align: center;
            padding-top: 100px;
            text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
        }

        table {
            width: 80%;
            margin: 0 auto;
            border-collapse: collapse;
            background-color: rgba(255, 255, 255, 0.8);
        }

        table, th, td {
            border: 3px solid black;
        }

        th, td {
            padding: 10px;
            text-align: left;
        }

        img {
            max-width: 100px;
        }
    </style>
</head>
<body>
    <h1>Liste des CLIENT REGROUPMENT</h1>
    <table>
        <tr>
            <th>ID</th> 
            <th>Nom</th>
            <th>Prénom</th>
            <th>Date de naissance</th>
            <th>Code</th>
            <th>Date de délivrance</th>
            <th>Date d'expiration</th>
            <th>Photo</th>
            <th>État</th> <!-- Nouvelle colonne pour l'état -->
        </tr>
        <?php
        if ($result->num_rows > 0) {
            // Sortir les données de chaque ligne
            while($row = $result->fetch_assoc()) {
                echo "<tr>
                        <td>" . $row["id"] . "</td> 
                        <td>" . $row["nom"] . "</td>
                        <td>" . $row["prenom"] . "</td>
                        <td>" . $row["naissance"] . "</td>
                        <td>" . $row["code"] . "</td>
                        <td>" . $row["date_delevrance"] . "</td>
                        <td>" . $row["date_expiration"] . "</td>
                        <td>" . $row["photo"] . "</td>
                        <td>" . $row["etat"] . "</td> <!-- Affichage de l'état -->
                      </tr>";
            }
        } else {
            echo "<tr><td colspan='9'>Aucun utilisateur trouvé</td></tr>"; // Mis à jour pour tenir compte de la nouvelle colonne
        }
        ?>
    </table>
</body>
</html>

<?php
// Fermer la connexion
$conn->close();
?>
